package com.chinapnr.android.adapay_android;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.CheckBox;
import android.widget.TextView;

public class SettingActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_setting);

        initView();

    }

    private void initView() {

        findViewById(R.id.iv_back).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
        ((TextView) findViewById(R.id.tv_title)).setText("设置");
        TextView tvActionbarRight = findViewById(R.id.tv_right);
        tvActionbarRight.setText("确定");


        final CheckBox switvhEnv = findViewById(R.id.switch_env);
        final CheckBox switvhLivemode = findViewById(R.id.switch_livemode);

        switvhEnv.setChecked("1".equals(Config.env));
        switvhLivemode.setChecked("1".equals(Config.livemode));

        tvActionbarRight.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Config.env = switvhEnv.isChecked() ? "1" : "0";
                Config.livemode = switvhLivemode.isChecked() ? "1" : "0";

                finish();

            }
        });

        ((TextView) findViewById(R.id.tv_version)).setText("sdk 版本：1.0.3");
    }

}
